%define name xcpc
%define date 20070122
%define version 0.%{date}
%define distsuffix plf
%define release %mkrel 1

Summary: Xcpc - Amstrad CPC Emulator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{date}.tar.bz2
Group: Emulators
License: GPL
#v2 or later
#except for cpc roms, which just are just allowed be distributed
URL: http://xcpc.sourceforge.net/
#BuildRequires: libopenmotif-devel
BuildRequires: lesstif-devel
BuildRequires: glib2-devel
BuildRequires: libdsk-devel
BuildRequires: libxmu-devel
BuildRequires: libice-devel
BuildRequires: libtool
BuildRequires: desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-build


%description
Xcpc is a portable Amstrad CPC464/CPC664/CPC6128 Emulator written in C. 
It is designed to run on any POSIX system (Linux/BSD/UNIX-like OSes).

Its features include :
* Athena or Motif GUI
* Floppy disk images support (*.dsk)
* Snapshot memory images support (*.sna)
* Drag and Drop support (*.dsk, *.sna)
* Keyboard emulation (QWERTY, AZERTY)
* Joystick emulation (numeric keypad, numlock disabled)
* Almost full CRTC-6845 / GateArray emulation
* Adaptative frame-rate

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -n %{name}-%{date} -q

%build
%configure --with-motif1
%make

%install
rm -rf %{buildroot}
%makeinstall

#old menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >%{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_bindir}/%{name}"\
 needs="X11"\
 section="More Applications/Emulators"\
 icon="%{name}.png"\
 title="Xcpc"\
 longtitle="%{summary}"\
 xdg="true"
EOF

#xdg menu
desktop-file-install --vendor="" \
 --remove-category="Game" \
 --remove-category="Applcation" \
 --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
 --dir=%{buildroot}%{_datadir}/applications \
 %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog INSTALL
#COPYING
%attr(0755,root,root) %{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Sun Jul 29 2007 Guillaume Bedot <littletux@zarb.org> 0.20070122-1plf2008.0
- First PLF package for xcpc
